# EL4 doesn't have libpcap-devel
%if 0%{?rhel} && "%rhel" < "5"
%define pcapdep libpcap
%else
%define pcapdep libpcap-devel
%endif

Name:           tcpreplay
Version:        2.3.5
Release:        4%{?dist}
Summary:        Replay captured network traffic

Group:          Applications/Internet
License:        BSD
URL:            http://tcpreplay.synfin.net/trac/
Source:         http://prdownloads.sourceforge.net/tcpreplay/tcpreplay-%{version}.tar.gz
Patch0:         tcpreplay-Makefile.in-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libnet-devel >= 1.1, %{pcapdep} >= 0.5, tcpdump
Requires:       /usr/sbin/tcpdump

%description
Tcpreplay is a tool to replay captured network traffic.  Currently, tcpreplay
supports pcap (tcpdump) and snoop capture formats.  Also included, is tcpprep
a tool to pre-process capture files to allow increased performance under
certain conditions as well as capinfo which provides basic information about
capture files.

%prep
%setup -q
%patch0 -p0 -b .destdir

%build
%configure
# make sure we use proper CFLAGS
%{__sed} -ie 's/^CFLAGS.*/CFLAGS=${RPM_OPT_FLAGS}/' Makefile
# remove unneeded docs
%{__rm} -f Docs/INSTALL Docs/WARNINGS Docs/*.dvi Docs/*.tex Docs/*.lyx \
           Docs/*.fig Docs/*.pl Docs/*.pdf Docs/*.ps Docs/*.eps Docs/*.aux \
           Docs/*.log Docs/Makefile
# fix source file permissions
%{__chmod} -x *.c
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Docs/*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man8/*
%{_bindir}/*
%{_sbindir}/*

%changelog
* Tue Apr 17 2007 Bojan Smojver <bojan@rexursive com> - 2.3.5-4
- Remove Makefile from docs

* Tue Apr 17 2007 Bojan Smojver <bojan@rexursive com> - 2.3.5-3
- Implement suggestions from package review process

* Tue Apr 03 2007 Bojan Smojver <bojan@rexursive com> - 2.3.5-2
- Add tcpdump to build and runtime dependencies
- Cater for EL4, where there is no libpcap-devel

* Mon Apr 02 2007 Bojan Smojver <bojan@rexursive com> - 2.3.5-1
- Initial release, 2.3.5
- Based on package provided by Dag Wieers
